plist-cil 1.13.0.0 1.14.0.0 Claunia.PropertyList.NSObject NSData objects are wrappers for byte buffers To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The raw data contained in the NSData object.
  Creates the NSData object from the binary representation of it.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The file containing the data.
  Creates a NSData object from a file. Using the files contents as the contents of this NSData object.
  To be added.
  If the file could not be found.
  If the file could not be read.
- Constructor
  1.13.0.0
  1.14.0.0
  The Base64 encoded contents of the NSData object.
  Creates a NSData object from its textual representation, which is a Base64 encoded amount of bytes.
  To be added.
  When the given string is not a proper Base64 formatted string.
- Property
  1.13.0.0
  1.14.0.0
  System.Byte[] The bytes contained in this NSData object. The data as bytes To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String Gets the Base64 encoded data contained in this NSData object. The Base64 encoded data as a string. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The byte buffer which will contain the data The amount of data to copy Loads the bytes from this NSData object into a byte buffer. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` `` The byte buffer which will contain the data The start index. The stop index. Loads the bytes from this NSData object into a byte buffer. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Serves as a hash function for a object. A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Int32 Gets the amount of data stored in this object. The number of bytes contained in this object. To be added.